# Release Notes for Mathcad 14

These notes provide the most up-to-date information regarding Mathcad 14 as of 11/30/2006. Updates to this document are available online.

## Table of Contents

1. What's New in Mathcad
   1. What's New in Mathcad 14
   2. What's New in Mathcad 13.1
   3. What's New in Mathcad 13
2. Installation Information
   1. System Requirements
   2. Contents of the Mathcad Installation CD
   3. Installation of Mathcad
   4. Additional Installation Information for Beta Users
   5. Side-by-Side Installation Issues
3. Known Limitations
4. Problems Fixed
   1. Problems Fixed in Mathcad 14
   2. Problems Fixed in Mathcad 13.1
   3. Problems Fixed in Mathcad 13
5. Additional Mathcad Help
   1. Mathcad Documentation
   2. Technical Support
   3. Online Information
   4. Functions that Work with the Symbolic Processor

## 1. What's New in Mathcad

### What's New in Mathcad 14

Mathcad 14 includes enhancements and new features designed to increase usability and productivity:

- Internationalization:
  1. Support for UNICODE fonts and Asian operating systems has been improved.
  2. Mathcad is now translated into nine languages (English, French, German, Italian, Spanish, Japanese, Korean, Simplified Chinese, and Traditional Chinese), and supports 15 spell-check choices.
- 2D Graphs:
  1. 2D graph format dialogs now contain a Number Format tab, which allows you to change the displayed precision of axes limits and ticks.
  2. Negative radii are now allowed in polar plots, and considered as phase shifts in angles.
- Solving:
  1. Odesolve has been extended with three new solvers:
     - Adams, designed to solve non-stiff systems.
     - BDF, which uses backward differentiation formulas for solving stiff systems.
     - AdamsBDF, which dynamically detects whether a system is stiff or not and calls Adams or BDF accordingly.
  2. Odesolve now defaults to the AdamsBDF solver, which provides more accurate results, rather than the previously used fixed solver.
  3. New Adams, BDF, and AdamsBDF functions allow you to use these solvers without setting up a solve block.
     - For the BDF and AdamsBDF solvers, the Jacobian (J) and tolerance (tol) arguments are optional, and either or both can be used.
  4. A new statespace function allows you to describe linear, first-order ordinary differential equations in matrix format.
  5. The new Jacob function computes the Jacobian of a vector function of multiple parameters, producing a matrix of expressions.
  6. Radau accepts three new optional arguments, to yield more accurate results.
  7. The context menu for Find has been reorganized to list solvers in the order Mathcad tries them: Levenberg-Marquardt first, Conjugate Gradient second, and Quasi-Newton last.
- Math Enhancements:
  1. New derivative and scaled-derivative Airy functions (DAi, DAi.sc, DBi, DBi.sc) calculate more quickly and precisely than taking the first derivative of the built-in Airy functions.
  2. The right-hand side of a definition can now be evaluated and the result bound to the variable; for example,
     x := 1cm + 2ft = 0.934m.
  3. A new gradient operator, available on the Calculus toolbar, returns a vector containing the partial derivatives of a function of multiple parameters.
  4. Improvements to explicit calculation allow you to present math expressions and equations in a more standards-compliant manner.
  5. g is now automatically defined as Euler's Constant.
- Symbolics:
  1. Enhancements to Mathcad's symbolic calculation capabilities return answers to a wider range of problems and more detailed solutions for piecewise or periodic solutions.
     - As a result of these changes, Mathcad returns some results in a different, but equivalent, form than in previous versions.
     - A full listing of functions that work with the symbolic engine is available in the Functions that Work with the Symbolic Processor section.
  2. Three new functions (Numer, Denom, and IsPrime) return information about an expression or number that can be used in other functions.
  3. Three new keywords (combine, rewrite, and confrac) extend Mathcad's symbolic capabilities.
  4. Nine new modifiers (all, degree, domain, exp, fully, ln, using, raw, and sincos) allow you to modify various keywords.
  5. The solve keyword and other symbolic operators now return more detailed results. New modifiers such as fully and all return complete solutions.
  6. You can now apply vectorized functions or operators to a vector and evaluate it symbolically. Before, you could only do so numerically.
- General utility:
  1. You can now compare two different XMCD worksheets, viewing math and text elements that have been added, deleted, or changed with different colored highlights. You can even view differing results due to tolerance settings or algorithms between versions of Mathcad.
  2. You can now search and replace for text and math elements in collapsed areas.
  3. Images can be stored in JPEG format with adjustable image quality, potentially reducing the size of your worksheets.
  4. Activation has been replaced with a single-user license file, obtained automatically during installation (requires Internet access).

### What's New in Mathcad 13.1

Mathcad 13.1 contains many bug fixes and improvements and enhancements to the following functionality:

- Improved performance of references.
- Better interoperability with MS Office products.
- Improved usability of Fahrenheit and Celsius units.
- MATLAB 7 support.
- Enterprise installation improvements.
- Support for execution on the Windows XP Professional 64-bit operating system.
- Improved printing of the slider control.
- Deprecated Worksheet Optimization.
  - When reading a file with Worksheet Optimization enabled, Mathcad enables Optimization on each region.

### What's New in Mathcad 13

Mathcad 13 features a number of improvements designed to increase your productivity and the breadth and speed of mathematical operations you can do in Mathcad.

- Performance: Faster matrix algebra and faster looping in programs, solvers, and other large-data manipulation tools.
- Autosave: Automatic recovery of unsaved worksheets should Mathcad crash.
- 2D Graph Formatting: Full Windows color palette for traces, more symbols, independent symbol, line sizing and spacing.
- Program Debugging: Trace and pause functions report intermediate values in the Trace Window.
- Units Enhancements: User-defined default units, temperature and scaling functional units, and other new built-in units.
- Explicit Calculation: Values substituted in calculations without reducing them numerically to report on replacements in calculations.
- Metadata: File comments included with provenance, provenance on references, and results.
- Function Signatures: Units and types accepted by a function are visible when evaluating the function name.
- Math Function Changes and Improvements:
  1. Faster, more flexible linear algebra functions.
  2. New algorithm for genfit and easier entry of model functions.
  3. 1 x 1 matrices can be entered in the Insert Matrix Dialog box.
  4. Compatibility switches to control interpretation of some Mathcad constructs.
- UI Improvements:
  1. Long area names.
  2. Custom characters toolbar.
  3. Reassignment of referenced worksheets from the region.
  4. Distinction between vector and literal subscripts when editing.
  5. Unit-specific unit error messages.
- Save as HTML/Web Page: Mathcad no longer reads files it saved as HTML documents.

Return to the Table of Contents

## 2. Installation Information

### System Requirements

#### Hardware Requirements

- Pentium-compatible 32-bit (x86) or 64-bit (x86-64, EM64T) processor - 400 MHz or higher; 700+ MHz recommended.
- 256 MB of RAM; 512 MB or more recommended.
- 550 MB of hard disk space (250 MB for Mathcad, 100 MB for prerequisites, and 200 MB for temporary space during installation).
- CD or DVD drive (for CD installation only).
- SVGA or higher graphics card and monitor.
- Mouse or compatible pointing device.

#### Software Requirements

- Windows 2000 SP4, Windows XP SP2 or later.
- Microsoft .NET Framework® 2.0*
- MSXML 4.0 SP2 or later*
- Microsoft Data Access Components 2.6 or later*
- Internet Explorer 6.0* §
- Adobe Acrobat Reader 7.0*

* Software can be installed automatically during the Mathcad installation.

§ Internet Explorer 6.0 or later is required for full functionality of the Help system, accessing HTML content within the Resources window, the opening and saving of Web-based files, and automatic product licensing. You do not need to make Internet Explorer your default browser to utilize this functionality.

### 2.2 Contents of the Mathcad Installation CD

The Mathcad CD contains the following:

- The installation program for Mathcad, which includes Help, the Developer's Reference, the Author's Reference, Tutorials and Migration Guide, QuickSheets, Reference Tables, and PDF files of the Mathcad User's Guide, the Administrator's Guide for network administrators, and the Customer Service Guide for Mathcad users.
- The installation program for FLEXnet 10.8, for serving Mathcad Enterprise licenses.
- The installation program for Microsoft Internet Explorer 7.
- The installation program for Adobe Acrobat Reader 7.

Return to the Table of Contents

### Installation of Mathcad

You may install Mathcad 14 on the same system as Mathcad 11, Mathcad 12, or Mathcad 13. However, you must install and repair the versions you run in release order, starting with Mathcad 11. Apply any patches or updates for a particular release before proceeding to the next release.

Before you install Mathcad 14 on a system alongside an earlier version of Mathcad, read the section titled Side-by-Side Installation Issues.

#### Before Upgrading

If you are upgrading to Mathcad 14 from an earlier version, be sure to have one of the following:

- Serial number of your earlier Mathcad version.
- The original installation media (CD).
- Mathcad installed on a local drive.

The upgrade installation attempts to locate an earlier version on your system. If it fails to detect an earlier version, it prompts you to enter the serial number or insert the installation media. The Mathcad 14 installer does not require that you remove any detected previous versions, although only Mathcad 11 and later have been tested and certified to work alongside a Mathcad 14 installation.

#### General Installation Instructions

1. Insert the CD into your CD-ROM drive. The CD automatically starts the installation program. If the installation program does not start automatically, you can start it by choosing Run from the Start menu and typing D:\SETUP (where D is your CD-ROM drive). Click "OK."
2. Click the Mathcad icon on the main installation screen.
3. When prompted, enter your product code, which is located on the back of the CD envelope.
4. Follow the remaining on-screen instructions.

### Additional Installation Information for Beta Users

If you participated in the Mathcad 14 Beta Program, you must uninstall the beta version of Mathcad 14 before you install the released version.

#### To Uninstall a Beta Version of Mathcad

Use Add or Remove Programs in the Control Panel to remove the Mathcad 14 Beta software.

If you have previous versions of Mathcad installed, you must repair them after you uninstall Mathcad 14:

1. Open Windows Control Panel
2. Select Add/Remove Programs
3. Select the earliest version of Mathcad, then click "Change"
4. Select "Repair" then click "OK."
5. Repeat steps 3 and 4 for each remaining version of Mathcad, in release order.

After you uninstall the Mathcad 14 Beta software and repair any previous installed version, install Mathcad 14.

#### Troubleshooting Unexpected Behavior

If you are experiencing unexpected behavior with Mathcad, such as getting error messages when you shouldn't or internal errors, the following steps may correct your problem:

- Make sure no other versions of Mathcad except Mathcad 11, 12, and/or 13 are installed on your system.
- Disable virus checking before installing Mathcad. Both Norton and McAfee anti-virus software as well as other products may cause problems on install.
- Do not run Norton CrashGuard together with Mathcad, since it can misinterpret normal program operations as crashes.
- Update your installed video and other device drivers. Updated versions are usually available on the Web site of your computer manufacturer or device vendor. Many users have corrected errors by simply updating their drivers.

With these steps, you can avoid many common problems in your use of Mathcad. If you encounter any errors after taking these steps, please contact Technical Support with the details and sample Mathcad files, so that they may investigate the problem further.

Return to the Table of Contents

### Side-by-side Installation Issues

You can install and run Mathcad 14 alongside Mathcad 13, Mathcad 12, and/or Mathcad 11, to ease conversion from old worksheets to new. The versions must be installed in order, from oldest to newest; failure to do so may cause problems using components. You can copy and paste regions from an older version into a newer version (for example, from Mathcad 11 into Mathcad 14), however pasting from a newer version to an older version is not supported and may crash the older product. When multiple versions of Mathcad are installed, the automation interface will only work on the most recent version of Mathcad. This may cause controls that invoke automation to stop working in older versions of Mathcad.

Return to the Table of Contents

## 3. Known Limitations

The following table is a list of known limitations of Mathcad 14, as of 11/30/2006:

Bug Number | Description
--- | ---
050705-170520; 050811-122128; 050826-215713 | The use of out-of-date display drivers or full hardware acceleration may cause errors, redraw problems, or crashes. Workaround: update your display driver or reduce hardware acceleration.
050216-095445 | Double-clicking a Mathcad file returns a "file not found" error if Mathcad cannot find a license server.
051017-094423 | Older Intel and AMD systems may fail to calculate numerics functions based on the new Intel MKL matrix libraries. For more information on which chips are supported, check the Intel Math Kernel Library documentation available on the Intel Web site.
031022-105127c | The coordinate transformation functions sph2xyz() and cyl2xyz() cannot be used with CreateMesh() and CreateSpace() to produce the same result as a 3D plot. Workaround: create a function with arguments (f(u,v), u, v) that calls sph2xyz() or cyl2xyz() with arguments (u, v, f(u,v)), to use as the mapping function for CreateMesh() or CreateSpace().
050801-075734 | Memory leaks on recalculation due to a limitation with .NET.
050816-103750 | File Input Components pointing to non-existent files switch from relative to absolute paths.
051111-114044 | The installer may not detect prerequisites properly on Windows 2000 systems.
051221-164409 | The MATLAB component no longer supports the display of MATLAB plots, due to changes in MATLAB's Automation interface.
060511-143551 | Symbolic definite integrals may calculate much slower than they did in previous versions of Mathcad.
060727-120201 | [Ctrl] [Shift] k inserts special operators into math regions, but no longer inserts Greek characters. Workaround: use [Ctrl] g to enter Greek characters.
060801-113111 | An undefined variable defined in terms of 1*itself (for example: a:=1 * a) numerically evaluates to 0, rather than return an error.
060807-120235 | Operators used in a variable name can no longer be used in evaluations; they instead return the error, "This variable is undefined."
061003-101635 | Greek letters in text regions saved to previous versions may display as ? or Roman characters in those versions.
040809-104837 | Copying text that contains a hyperlink from one text region to and pasting it into another text region does not copy the hyperlink. Workaround: copy the entire region.
041024-133017 | Copying from Mathcad into Microsoft Word as a Mathcad Document Object can cause the object to zoom in when activated (double-clicked), then deactivated. Workaround: close Mathcad before you paste the object into Word.
050901-120228 | WRITEPRN() goes into an infinite loop when writing multiply nested matrices.
060406-101521 | Cannot use a hyperlink to navigate to a region in an area if the area is collapsed when the file is opened.
060725-103347 | hhmmss() does not evaluate properly under non-US regional settings.
050404-161038 | Importing large (>1 MB) data files is slower than Mathcad 11.
050201-170345 | The Data Import Wizard incorrectly reads a number with a non-comma thousands separator as a string.
050516-162748 | Values containing affine units return the error "This value must be a scalar" when pasted into the placeholder on the left-hand side of an expression. Workaround: insert a postfix operator, and separately paste the unit into the right placeholder and the value into the left.
050727-153102 | csort() incorrectly sorts arrays containing NaN.
050729-174421 | CreateMesh() does not accept as a parameter any function that returns a dimensioned result.
050801-184858 | Decimal numbers that cannot be represented exactly as floating point numbers are rounded in an unanticipated way (such as down, rather than up).
050803-163623 | Adding a large scatter plot to an existing 3D graph may cause Mathcad to crash. Workaround: add a small dummy data set as the second curve, convert the curve to a scatter plot, then replace the dummy data set with the actual data set.
050822-171500 | Components treat single-element matrices as scalar values.
051014-101238 | The result disappears when you disable evaluation of a region.
051122-104805 | Bitmaps may display improperly when using Remote desktop to access a Windows 2000 Server installation.
060217-123210 | Multiplication that formerly returned zero now returns an error. Mathcad 2000 and later evaluate all terms, rather than return zero if the first term evaluates to zero, which may cause errors when none appeared before. Workaround: if you know that one term reaches zero, define the function accordingly, using the 'if' programming operator.
050705-171729 | Cannot redefine ORIGIN within a program.
060502-153845 | Mathcad won't install on Windows XP Professional 64 when connecting via Remote Terminal Server. The installer will fail to register all the necessary DLLs. Workaround: run the install on the Windows XP Professional 64 workstation directly, rather than via Remote Terminal Server.
050616-130347 | A second, concurrent instance of Mathcad opened after the first has auto-saved a worksheet may attempt to recover worksheets still open in the older instance.
050708-141936 | Closing Mathcad while debugging with Visual Studio 6 returns an "Invalid Handle" error.
060307-123707 | The dialog warning you that a file is being opened read-only sometimes fails to appear in front of other windows.
060425-150310 | Radio buttons do not evaluate properly the first time you manually calculate a worksheet. Workaround: calculate the worksheet twice.
050427-200917 | Mathcad may return a "Parameter is Incorrect" error when opening offline files.
051111-175445 | Web controls will not print on some printers. Workaround: scroll to the bottom of the worksheet (or press [CTRL] [End]) before you print.
060912-213659 | Symbolic Laplace transforms return an error in the German version of Mathcad. Workaround: specify a different independent variable, such as t1, for the transformed function, as follows: f(s) -> Laplace, s, t1.
040628-131456 | Data Import Wizard cannot read Excel files with more than 16384 rows.
060511-101050 | Clicking "Replace All" does not replace all occurrences when cursor is in the middle of the document. Workaround: move the cursor to the top of the worksheet before selecting Edit > Replace.
060808-105138 | Clicking "Help" from the Insert Function dialog disables the "Insert" button after Help is closed. Workaround: click back in the active worksheet.
040528-134919 | Opening and closing areas may move boundaries and contained regions slightly.
040824-131642 | A complex scalar written to a data file by WRITEPRN() is read in as a two-element array by READPRN().
041214-093929 | Large arrays (>8 million elements, or 64 MB) may cause memory errors due to a limitation in .NET.
041214-165738 | Solve blocks may attempt to converge indefinitely, rather than return an error, when they fail to converge. When returned, convergence errors may provide inadequate information for debugging.
050506-104329 | READRGB() and the Picture Operator don't work with the newest digital camera JPEG format, which retains information about camera settings. Workaround: open the file in another image editor, such as Paint or Windows Picture Viewer, and resave it before reading it into Mathcad.
050405-162927 | Matrices containing large nested arrays display slowly.
050707-091516 | UnitsOf() returns incorrect answers in SI-based Unit Systems when the base units are not SI units.
050728-141332 | min() and sec() are not recognized in font styles other than Variables or Constants.
050805-161210 | Sliders flicker when adjusted.
050831-084253 | Borrowed licenses may not be returned properly from within Mathcad. Workaround:

1. Connect the borrowing machine to the network, so that the server can find it.
2. On the server, open a command prompt and type:
   lmborrow -return [-c license_file] [-c display] feature

   license_file = the name of the license file.
   display = the name of the borrow system, or in the case of a terminal server environment, the terminal server client name; required only if the system name has changed since borrowing the license.
   feature = the name of the borrowed feature. For a list of borrowed features, run lmborrow -status at a command prompt.

060130-104032 | Error highlighting, error messages and Trace Error may be confusing in solve blocks. You may be able to trace the real error if you:

1. Right-click the region with the error.
2. Select Trace Error.
3. Click "Close". (None of the buttons except "Close" will be available.)

The cursor will often jump to the variable that is in error.
060807-130950 | Zero-width joiner/non-joiner UNICODE characters do not work in math regions.
060901-121829 | The single-line construct of a definition, followed by a symbolic evaluation, followed by a numeric evaluation is not supported, although you can type it in.
050706-093218 | The "Display Dimensions" settings, located on the Dimensions tab of the Worksheet Options dialog are not saved to XMCD/XMCDZ files. Workaround: save the file as Mathcad 11 or Mathcad 12 MCD.
050725-100814 | The following names are reserved by Mathcad and cannot be defined by users: Find, format, genfit, if, Maximize, Minerr, Minimize, numol, Odefind, Odesolve, pause, Pdesolve, polyroots, trace, until.
060316-153817 | Redefinition Warning tips don't appear until the second time you click on a region.
060601-092646 | After using a Web control, you must make two mouse-clicks before keyboard entry has an effect.
050525-104331 | The Mathcad 12 file format does not support multiple-algorithm functions [genfit(), odesolve(), pdesolve(), polyroots(), Find(), Minerr(), Maximize(), Minimize()] used as anything other than a function name. Saving such a file as a Mathcad 12 XMCD/XMCDZ worksheet returns a schema error.
050203-113939 | When opening worksheets containing overlapping or nested collapsed areas, Mathcad displays the alert "Warning: an unrecoverable read error has occurred. <N> regions could not be read from this document.", reports a runtime error, and closes.
Workaround: open the document in a previous version of Mathcad and remove the problem areas, or rearrange them so that they no longer overlap or nest.
050815-164314 | Functions evaluated with less than the defined number of arguments return the function's signature in graphs, rather than an error message indicating the missing argument.

Return to the Table of Contents

## 4. Problems Fixed

### Problems Fixed in Mathcad 14

Bug Number | Description
--- | ---
060920-130930 | When opening a worksheet containing a large array, the matrix appears distorted and you cannot save the file.
060613-130244 | Mathcad files with custom unit systems do not always recalculate properly and may not save as valid XMCD files.
051228-154632 | Calls to Minimize() and Maximize() with invalid parameters cause Mathcad to stop computing even after you disable or correct the region.
051227-160700 | Dragging or nudging area boundaries can lead to nested or interleaved areas.
051208-150942 | Mathcad does not launch on a system set to the Turkish locale.
051102-074532 | Mathcad does not report an error when saving an XMCD worksheet fails due to insufficient space.
050816-120902 | Adding parentheses in a math region embedded in a text region causes an internal error and crashes Mathcad.
061115-103350 | Adding Angle to the custom units, using the Unit System tab of the Worksheet Options dialog, results in an internal error.
060719-163859 | Φ() gives different results for 0 in the numeric and symbolic processors. Φ(0) now returns 0.5 in both cases.
060424-111903 | xy2pol() returns results between -180 to 180 in Mathcad 12 & 13. Mathcad 14 has reverted to the Mathcad 11 behavior of returning 0 to 360.
060411-155320 | J1(1) and I1(1) are reversed when evaluated symbolically.
060316-112455 | Using the Automation API to create RTF files saves HTML files instead.
060123-101738 | Performing a symbolic solve with inequalities gives incorrect results.
060106-112616 | Cannot substitute a variable for a function or expression using menu symbolics. Note: This fix requires that you use programming operators to create a program defining the function as the variable and returning the function name, copy the program to the clipboard, select the function name to substitute for, and click Symbolics > Variable > Substitute.
060104-095626 | The built-in constant "%" is not recognized by the symbolic engine.
051019-103914 | linterp() does not accept complex arrays for the second argument.
050812-095804 | Explicit evaluation of negative purely imaginary numbers displays zero for the real part.
050729-131750 | Context menu options to hide portions of symbolic expressions do not work properly when no symbolic keyword is present.
050726-102139 | If you take the definite integral of an expression with respect to a variable x, and the expression contains a different variable, A, defined as x, Mathcad does not recognize A as the variable of integration.
050712-140909 | You must press [F9] twice to fully calculate a worksheet after editing it.
050406-154223 | Mathcad performs symbolic evaluations even when Automatic Calculation is turned off.
050308-143751 | WRITEPRN() writes out incorrect data for NaN and infinity, which READPRN() reads in incorrectly.
050215-103351 | Cannot multiply nested matrices by a scalar. Note: Implicit vectorization of functions and operators does not work on nested matrices.
041208-100038 | Mathcad returns "Parameter is incorrect" error when opening or saving files on network partitions.
040818-121539 | Replace and Find do not find text in collapsed areas.
031219-100337 | A matrix created using matrix() cannot be evaluated symbolically.
030319-140047 | Vectorization does not work in symbolic calculations.
051102-100456 | Symbolic expressions that return "No Symbolic Result Found" do not remove previously calculated results.
050721-152745 | Worksheet protection is not available in XMCD worksheets. Note: Worksheet protection can now be enabled in XMCD worksheets; however, once enabled, worksheets can only be saved in the XMCDZ format.
040615-163146 | Symbolic solver gives incorrect results when using inequalities.
051005-125434 | Search defaults to text regions only, rather than both math and text regions.
050722-150256 | Large data tables give no indication that they contain more cells. Note: the last displayed cell of a data table now appears as "...".

### Problems Fixed in Mathcad 13.1

Bug Number | Description
--- | ---
051220-150519 | Mathcad crashes when saving a file with a collapsed area containing a math region embedded in a text region.
051102-095205 | Saving a worksheet containing a text region with an embedded evaluation as an XMCD file crashes Mathcad.
051003-152935 | Deleting an empty placeholder quits Mathcad.
050810-150131 | Files containing regions with Optimization enabled may cause crashes or hang Mathcad when opened.
031014-152054 | Can created nested areas in worksheets.
060207-135921 | Mathcad does not save a worksheet's page orientation (File > Page Setup).
051222-103419 | Cannot use the column operator to assign a scalar to an array column.
051124-170432 | Legend is placed behind grid lines in 2D plots.
051123-113709 | The constrained parameter must be listed last in the vector argument of Odesolve().
051122-124920 | Symbolic Derivation of J0(x-1) fails.
051118-104303 | The "Show exponents in engineering format" setting (in the Result Format dialog is not saved in the worksheet.
051117-155555 | Pasting a number into Mathcad causes a COM error.
051117-101307 | Decreasing axis limits are labeled incorrectly on logarithmically scaled XY graphs.
051031-131243 | Odesolve() occasionally returns type mismatch errors.
051020-124856 | Using Odesolve() to solve for variables with literal subscripts returns the error "The expression to the left of the equal sign cannot be defined."
051018-133102 | str2vec() produces an empty vector for empty strings, and causes an error when saving to an XMCD file.
050914-175018 | Odesolve() returns an error when referencing a function defined outside the solve block.
050908-113239 | Automation command GetValue converts decimal numbers to strings (with commas) on non-US operating systems.
050906-121941 | Using return to assign a vector to an element of a vector returns an error.
050904-093012 | Repairing a silent installation of Mathcad clears FLEXlm server information.
050901-114746 | Nested arrays do not transpose correctly.
050808-140321 | File corruption errors refer to incorrect line numbers.
050803-143816 | Solve blocks that work in Mathcad 12 return the error "Found a number with a magnitude greater than 10^307 while trying to evaluate this expression".
050708-153644 | polyroots() calculations using the LaGuerre method are slower than in Mathcad 11.
050602-101501 | Solve blocks with dimensioned guess values of 0 do not return units properly.
050401-165812 | Document properties in templates do not carry to documents created from the template (author excepted).
050315-124031; 041217-160936 | Files with references (especially deeply nested references) take longer to open than in Mathcad 11. Note: files should open more quickly, but recalculation may still be slow.
050218-155416 | Mathcad begins to calculate equations before you exit them.
050110-143821 | Vectorization operator only supports only 10 function arguments.
050107-105411 | Mathcad cannot read CSV files containing more than 20,000 characters or 1,000 columns of data.
041201-182104 | vlookup() calculations take twice as long as in Mathcad 11.
040825-101926 | The MATLAB component does not work with MATLAB 7. Note: there is a known issue regarding the MATLAB component displaying plots.
030922-103643; 050721-121126 | Results with units appear confusing because the multiplication sign is hidden. Note: you can now change the multiplication symbol between a number and its unit from the context menu.
021029-124923c | The slider control does not print as it appears on the worksheet. Note: when printed, only some properties are reflected - orientation, point (all 3 settings), tick marks, tick frequency, autoticks, width, and minimum and maximum values; the border and extended style properties have no effect on print rendering.
990829-155826-2 | The required argument order for round() is reversed when evaluating it symbolically, rather than numerically.
051107-113430 | Hankel functions are inaccurate for large m and small z.
050913-105200 | Mathcad displays no style information for string constants.
050824-145736 | H is not recognized as hexadecimal number suffix.
050812-142220 | Energy per unit mass (J/kg) turns into dose by default. The unit for dose, Sv, can still be typed in the unit placeholder as needed.
050713-090831 | DMS(), FIF(), and hhmmss() do not accept 3 arguments.
050605-235915 | °C and °F do not insert properly from the Insert Units dialog.
050228-111342 | The symbolic processor does not recognize rref().
050105-132452 | Error messages in program loops highlight the entire loop, rather than the source of the error.
041109-104300 | Odesolve incorrectly returns the error "This must be a scalar" instead of "Too few initial conditions."
031204-095201 | Cannot turn off implicit multiplication.

Return to the Table of Contents

### Problems Fixed in Mathcad 13

Bug Number | Description
--- | ---
050811-122102 | Returning a borrowed license hangs or crashes Mathcad.
050615-163310 | Copying and pasting part of an equation, or deleting an empty placeholder, crashes Mathcad with fatal error.
050329-155829 | Mathcad returns the error "The instruction at '<memory address>' referenced memory at "'<memory address>' The memory could not be 'read' Click on "OK" to terminate the program.
050317-163144 | Defining a global variable equal to itself crashes Mathcad with an unhandled exception error.
041020-120253 | Error and crash when opening the resources: "Failed to load resources from resource file. Please check your setup."
031009-122431 | Setting zoom to 200% on a worksheet with a listbox makes the worksheet flicker.
050812-161207 | Functions defined as the output of Find() cannot be evaluated symbolically.
050630-151107 | Symbolic transpose operations return the error "No symbolic result found."
050616-130717 | Mathcad does not recognize arguments using the array column operator as part of a series of values specifying the range of a 'for' loop.
050613-155749 | Copying a region from a locked area makes the locked region editable.
050601-085852 | 'break' and 'continue' do not work outside of 'for' and 'while' loops.
050518-090145 | Dotted selection rectangle disappears after multi-region drag and drop.
050513-160301 | logpts() occasionally decreases between decades.
050429-204810 | hist() does not create the proper number of bins.
050330-102054 | Mathcad crashes while inverting large matrices.
050321-131409 | Use of the vectorize operator with the augment function returns an error message.
050315-124031c | Extra Mathcad icons appear on the taskbar when opening files that contain references to files containing listboxes.
050315-092452 | Scripted Objects resize automatically when activated.
050224-160839 | XMCD worksheets that contain a local assignment to a function within an infix operator do not open.
050224-124757 | The symbolic processor cannot recognize a matrix defined with a variable in the subscript.
050210-162908 | "Print Single Page Width" setting is not saved in XMCD or XMCDZ files.
041022-131432 | The type checking functions IsScalar(), IsArray(), and IsString() do not accept function names as arguments.
040910-090552 | Mathcad saves files with schema errors, preventing them from opening afterward.
040907-101840 | Multiplied fractions may yield incorrect results.
040819-153337 | Cannot assign solve block that returns variables of differing units to a function.
040618-123742 | Graphs do not animate properly if the FRAME variable is in a collapsed area.
050301-154333 | End-of-document is interpreted as the top of the last region, not the bottom of the lowest-extending region.
041129-094510 | Log-scale quickplots do not use logarithmically spaced axes.

Return to the Table of Contents

## 5. Additional Mathcad Help

### Mathcad Documentation

Be sure to check the Developer's Reference and the Author's Reference. You can access them from the Help menu in Mathcad.

The Developer's Reference is for advanced Mathcad users. It provides information on customizing components using scripting, using the Scriptable Object component, building components in C++, and using Mathcad as an Automation server.

The Author's Reference contains instructions and tips for creating Mathcad E-books and information about how to create HTML versions of Mathcad worksheets.

In addition, your Mathcad installation includes tutorials, sample worksheets, and reference tables to help you get the most out of Mathcad. Select Tutorials, QuickSheets, or Reference Tables from either the Help menu or the Resources toolbar.

### Technical Support

Visit the Mathsoft Support Web site at http://www.ptc.com/go/mathsoft/support/.

### Online Information

The Mathcad Web site at http://www.ptc.com/go/mathsoft/mathcad/ offers several features for all Mathcad users.

Go to the Download area to get:

- Updates to Mathcad that add capabilities to your existing version.
- Add-ins that allow you to access Mathcad functionality from within other programs like Excel.
- Mathcad E-books like Inside Mathcad: Programming, Differential Equation Solving, and Inside Mathcad: Solving

You must register your software in order to gain access to the Mathcad download area.

Go to the Technical Support area, http://www.ptc.com/go/mathsoft/support/, to access the Mathcad Knowledge Base, a database containing tips, techniques, troubleshooting information, and sample files.

The Mathcad Web Resources, http://www.ptc.com/go/mathsoft/mathcad_resources/, contains Mathcad E-books, user-contributed files, sample graphs and animations made in Mathcad, as well as listings and links to print books using Mathcad.

Mathcad User Forums provide a free Internet area for sharing ideas and files with other Mathcad users, accessible from within Mathcad. Choose User Forums from the Help menu or, in the Resources window or a browser, go directly to http://www.ptc.com/go/mathsoft/collab/.

### Functions that Work with the Symbolic Processor

The following built-in Mathcad functions can be evaluated with the symbolic equal sign:

Bessel Functions | Special Functions
Truncation and Rounding Functions | Statistics Functions
Vector and Matrix Functions | Trigonometric, Log, and Exponential Functions
Complex Number Functions | Differential Equation Functions
Lookup Functions | Piecewise Condition Functions
Solving and Optimization Functions | Sorting Functions

### Bessel Functions

J0 | J1 | Jn | js
Y0 | Y1 | Yn | ys
I0 | I1 | In
K0 | K1 | Kn
H0 | H1 | Hn
Ai | DAi | Bi | DBi

### Special Functions

erf | erfc | Γ |

### Truncation and Rounding Functions

ceil | Ceil | floor | Floor
round | Round | trunc | Trunc

### Statistics Functions

gcd | lcm | mod |

### Vector and Matrix Functions

augment | cholesky | cols | diag
eigenvals | eigenvecs | geninv | identity
last | length | matrix | max
min | rank | rows | rref
stack | submatrix | svd | svd2
svds | tr

### Trigonometric, Log, and Exponential Functions

acos | acosh | acot | acoth
acsc | acsch | asec | asech
asin | asinh | atan | atan2
atanh | cos | cosh | cot
coth | csc | csch | exp
ln | ln0 | log | sec
sech | sin | sinc | sinh
tan | tanh

### Complex Number Functions

arg | csgn | Im | Re
sign | signum

### Differential Equation Functions

Jacob |  |  |

### Lookup Functions

hlookup | lookup | match | vlookup

### Piecewise Condition Functions

if | δ | Φ |

### Solving and Optimization Functions

Find | lsolve | Minerr | root

### Sorting Functions

csort | reverse | rsort | sort

Return to the Table of Contents

11/30/2006

Copyright © 2007 Parametric Technology Corporation. All Rights Reserved.

User and training documentation from Parametric Technology Corporation and its subsidiary companies (collectively "PTC") is subject to the copyright laws of the United States and other countries and is provided under a license agreement that restricts copying, disclosure, and use of such documentation. PTC hereby grants to the licensed user the right to make copies in printed form of this documentation if provided on software media, but only for internal/personal use and in accordance with the license agreement under which the applicable software is licensed. Any copy made shall include the PTC copyright notice and any other proprietary notice provided by PTC. This documentation may not be disclosed, transferred, modified, or reduced to any form, including electronic media, or transmitted or made publicly available by any means without the prior written consent of PTC and no authorization is granted to make copies for such purposes.

Information described herein is furnished for general information only, is subject to change without notice, and should not be construed as a warranty or commitment by PTC. PTC assumes no responsibility or liability for any errors or inaccuracies that may appear in this document.

The software described in this document is provided under written license agreement, contains valuable trade secrets and proprietary information, and is protected by the copyright laws of the United States and other countries. It may not be copied or distributed in any form or medium, disclosed to third parties, or used in any manner not provided for in the software licenses agreement except with written prior approval from PTC.

UNAUTHORIZED USE OF SOFTWARE OR ITS DOCUMENTATION CAN RESULT IN CIVIL DAMAGES AND CRIMINAL PROSECUTION.

Important Copyright, Trademark, Patent, and Licensing Information

On the Reference Documents page at http://www.ptc.com/appserver/cs/doc/refdoc.jsp, select Legal for the product and PTC Copyright for the document type. Alternatively, click Help > About on your product's main menu.

UNITED STATES GOVERNMENT RESTRICTED RIGHTS LEGEND

This document and the software described herein are Commercial Computer Documentation and Software, pursuant to FAR 12.212(a)-(b) (OCT'95) or DFARS 227.7202-1(a) and 227.7202-3(a) (JUN'95), and are provided to the US Government under a limited commercial license only. For procurements predating the above clauses, use, duplication, or disclosure by the Government is subject to the restrictions set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software Clause at DFARS 252.227 7013 (OCT'88) or Commercial Computer Software-Restricted Rights at FAR 52.227 19(c)(1)-(2) (JUN'87), as applicable. 00002007

Parametric Technology Corporation, 140 Kendrick Street, Needham, MA 02494 USA

Return to the Table of Contents